Achsfilter (A7)

1.1 EinleitungPAGEREF _Toc304465904 \h2

1.2 Beschreibung 4

1.2.1 Tiefpassfilter 8

1.2.2 Hochpassfilter 9

1.2.3 Bandpassfilter 10

1.2.4 Bandstopfilter 11

1.2.5 Allpassfilter 13

1.2.6 PT1-Filter 14

1.2.7 PT2-Filter 15

1.2.8 HSC-Filter 17

1.3 Anwendung 18

1.4 Parameter 19

1.4.1 Übersicht 19

1.4.2 Achsparameter 23

1.5 Beispiele 23

1.5.1 Wichtige Grenzwerte der Achse der Beispielanwendung 23

1.5.2 Anwendungsbeispiel 1 24

1.5.2.1 Verwendung eines Tiefpassfilters 24

1.5.2.1.1 Grenzfrequenz 3Hz 24

1.5.2.1.2 Grenzfrequenz 5 Hz 25

1.5.2.2 Grenzfrequenz 10Hz 25

1.5.2.2.1 Grenzfrequenz 20 Hz 26

1.5.3 Anwendungsbeispiel 2 27

1.5.3.1 Verwendung eines Tiefpassfilters an den Grenzwerten 27

1.5.3.1.1 Grenzfrequenz 3 Hz 27

1.5.3.1.2 Grenzfrequenz 5 Hz 28

1.5.3.1.3 Grenzfrequenz 10 Hz 28

1.5.3.1.4 Grenzfrequenz 30 Hz 29

1.5.3.2 Zeitdauer einer Bewegung, in Abhängigkeit von Grenzfrequenz und Beschleunigung 30

1.5.4 Anwendungsbeispiel 3 31

1.5.4.1 Verwendung eines Achsfilters zur Annäherung eines nichtlinearen Slope 31

1.5.4.2 Hinweise zu Tracemöglichkeiten 34

Mehr:

button Einleitung

button Beschreibung

button Anwendung

button Parameter

button Beispiele


Einleitung

Aufgabe

Generell werden Filter eingesetzt, um einen Signalverlauf zu beeinflussen.

Bei der Steuerung gibt es die Möglichkeit, digitale Filter im Achsdatensatz [AXIS] zu parametrieren. Die Filter lassen sich entsprechend der erforderlichen Wirkung als Tiefpass-, Hochpass-, Bandpass- oder Bandstop-, sowie als Allpassfilter definieren. Je nach Filterart ist es möglich, mit diesen Filtern

q den Signalverlauf zu glätten

q die Bandbreite eines Signals einzuschränken

q das Rauschen des Signals zu unterbinden

q Frequenzbänder zu selektieren oder abzuschwächen.

Auch zur Behandlung von Resonanzerscheinungen werden die Filter eingesetzt.

Die Filter wirken auf die Werte für die absolute Sollposition, die durch die Interpolation der Bahn berechnet wurden.

Wirksamkeit

Die parametrierbaren Filter sind wirksam bei

q Linearachsen

q Rundachsen ohne Modulorechung d.h. einen eingeschränkten Verfahrbereich besitzen (s. P-AXIS-00015)

q Rundachsen mit Modulobehandlung d.h. die endlos drehen (ab CNC-Build 1502)

q Spindeln (ab CNC-Build 3000). Für Spindeln stehen nur die Standardfilter zur Verfügung, HSC-Filter können nicht eingesetzt werden.

Es stehen Standardfilter und HSC-Filter zur Verfügung, die Unterscheidung erfolgt über den Filterprototyp.

Standardfilter:

Für jede Achse können bis zu 3 Filter hintereinandergeschaltet und parametriert werden. Ein Filter ist aktiv, wenn der Parameter P-AXIS-00319 auf 1 ist und der Wert des Parameters P-AXIS-00140 > 0 ist.

HSC-Filter:

Bei diesen Filtern ist nur ein HSC-Filter pro Achse erlaubt, dieser muss zwingend der erste Filter sein. HSC-Filter werden in den Achslisten nur vorkonfiguriert, wirksam werden sie aber erst durch den NC-Befehl #FILTER ON[HSC] im NC Programm. Desweiteren ist es möglich, HSC-Filter während der Bearbeitung auszuschalten, beziehungsweise umzuparametrieren.

Parametrierung

Es stehen folgende Parameter für die Anpassung der digitalen Filter im Achsparameterdatensatz [AXIS] zur Verfügung:

q Charakteristische Frequenz eines Filters P-AXIS-00067

q Güte des Filters P-AXIS-00080

q Ordnung des Filters P-AXIS-00140

q Filterprototyp P-AXIS-00153

q Signalanteil P-AXIS-00164, der durch den Filter geführt wird

q Filtertyp P-AXIS-00204

q Zeitkonstante des PT1- oder PT2-Filters P-AXIS-00357


Beschreibung

Allgemein

Die Filteralgorithmen, die in der Steuerung implementiert sind, zeichnen sich durch hohe Trennschärfe bei niedriger Ordnung des Filters aus. Über den Achsparameterdatensatz lassen sich achsspezifisch die Eigenschaften der verwendeten Filter festlegen. Das Verhalten eines Filters wird im Wesentlichen durch die Art des Filterprototypen P-AXIS-00153, den Filtertyp P-AXIS-00204, seine Ordnung P-AXIS-00140 und charakteristische Frequenz P-AXIS-00067 bestimmt. Für bestimmte Filtertypen ist zusätzlich die Güte P-AXIS-00080 ein bestimmendes Merkmal.

Bei einem Standardfilter (Ausnahme HSC-Filter) können für jede Achse bis zu 3 Filter definiert werden, die dann hintereinandergeschaltet sind.

Filtertypen

Filter lassen sich nach ihrem charakteristischen Übertragungsverhalten und damit Einsatzzweck klassifizieren. Als Filtertypen können für die Steuerung die Filtertypen mit folgenden Eigenschaften angewendet werden:

Die nachfolgend aufgeführten Filtertypen sind Standardfilter.

q Tiefpassfilter
Alle Frequenzen unterhalb einer bestimmten Grenzfrequenz werden durch den Filter übertragen. Ab dieser Grenzfrequenz werden höhere Frequenzen abgeschwächt oder gar nicht mehr übertragen. Die hohen Frequenzen werden herausgefiltert.

q Hochpassfilter
Die niederen Frequenzen eines Signales werden abgeschwächt oder gar nicht übertragen. Erst ab einer Grenzfrequenz werden die Frequenzen unverändert übertragen.

q Bandstopfilter
Aus dem zu übertragenden Frequenzspektrum wird ein Frequenzbereich herausgefiltert. Alle übrigen Frequenzen werden nahezu ungedämpft übertragen. Die charakteristische Frequenz wird Mittenfrequenz genannt.

q Bandpassfilter
Alle Frequenzen bis auf das gewünschte Frequenzband werden durch den Filter herausgefiltert. Alle übrigen Frequenzen werden gedämpft.

q Allpassfilter
Diese Filter haben eine konstante Verstärkung, Erzeugen aber eine frequenzabhängige Phasenverschiebung. Sie werden zur Phasenkorrektur eingesetzt und um Signale zu verzögern.

q PT1-Filter
Bei dem PT1-Filter handelt es sich um ein Verzögerungsglied erster Ordnung, das ein ähnliches Übertragungsverhalten wie ein Tiefpassfilter mit Ordnung 1 besitzt. Frequenzen unterhalb der Grenzfrequenz
fg = 1 / (2 * Pi * P-AXIS-00357) werden durch den Filter übertragen. Frequenzen größer als die Grenzfrequenz werden mit
20dB/Dekade abgeschwächt.

q PT2-Flter
Bei dem PT2-Filter handelt es sich um ein Verzögerungsglied zweiter Ordnung, dessen Übertragungsfunktion [image] zwei hintereinandergeschalten Verzögerungsgliedern erster Ordnung entspricht. Das Übertragungsverhalten ähnelt einem Tiefpassfilter mit Ordnung 2. Frequenzen bis zur Filtergrenzfrequenz fg = 1 / (2 * Pi * P-AXIS-00357) werden durch den Filter übertragen, während darüberliegende Freqenzen mit 40dB/Dekade abgeschwächt werden.

Nachfolgende Filtertypen sind nur in Verbindung mit dem Prototyp HSC zu verwenden.

q HSC-Sinc
Bei dem HSC-Sinc-Filter handelt es sich um einen akausalen Zeitbereichsfilter mit sin(x)/x förmigen Profil. Die Wirkung im Frequenzbereich ist die eines Tiefpasses.

q HSC-Mittelwert
Bei dem HSC-Mittelwertfilter handelt es sich um einen akausalen Zeitbereichsmittelwertfilter. Die Wirkung im Frequenzbereich ist die eines Tiefpasses.

q HSC-Gauss
Bei dem HSC-Gaussfilter handelt es sich um einen akausalen Zeitbereichsfilter mit gaussglockenförmigem Profil. Die Wirkung im Frequenzbereich ist die eines Tiefpasses.

Filterprototypen

Es können 5 unterschiedliche Prototypen von Filtern eingestellt werden. Sie unterscheiden sich wesentlich durch ihr Verhalten beim Übertragen von Frequenzen und ihrer Reaktion auf eine sprungförmige Anregung (Sprungantwort des Filters).

Es handelt sich um

q einen Filter mit kritischer Dämpfung

q Bessel-Filter

q Butterworth-Filter

q Chebychev-Filter

q HSC

Mehr:

button Tiefpassfilter

button Hochpassfilter

button Bandpassfilter

button Bandstopfilter

button Allpassfilter

button PT1-Filter

button PT2-Filter

button HSC-Filter


Tiefpassfilter

Frequenzgang

Das nachfolgende Diagramm zeigt das Frequenzübertragungsverhalten von Tiefpassfiltern, die jeweils auf einem der Filterprototypen basieren. Zur Veranschaulichung des charakteristischen Übertragungsverhaltens wurden Filter der 4. Ordnung ausgewählt, da durch eine höhere Ordnung die Charakteristka stärker ausgeprägt sind.

Abbildung 1- 1 : Amplituden-Frequenzgang der Filterprototypen
(4. Ordnung)

Im Bereich unterhalb der Grenzfrequenz verhalten sich Tiefpassfilter der Prototypen Kritische Dämpfung und Bessel sehr ähnlich. Die Butterworth-Filter übertragen in diesem Bereich die Frequenzen über einen weiten Bereich nahezu ungedämpft. Erst kurz vor der Grenzfrequenz setzt die Dämpfung der zu übertragenden Frequenzen ein. Der Butterworth-Filter besitzt im Bereich oberhalb der Grenzfrequenz die höchste Dämpfung der hier vorgestellten Filter.

Sprungantwort

Die Sprungantwort eines Tiefpassfilters mit kritischer Dämpfung zeigt kein Überschwingen. Deshalb ist dieser Filter sehr gut für Steuerungsanwendungen geeignet, trotz seines gegenüber den anderen Filtern geringeren Frequenzselektionsverhaltens.

Bei Bessel-Tiefpassfilter ist ein geringfügiges Überschwingen bei Filterordnungen > 1 zu beobachten. Deshalb sollte dieser Filter nicht auf Positionswerte angewendet werden.

Bei Butterworth-Tiefpassfiltern zeigt sich ein beachtliches Überschwingen als Reaktion auf einen Sprung am Eingang. Das Überschwingen nimmt mit zunehmender Ordnung des Filters zu. Wegen dieser heftigen Reaktion ist der Butterworth-Tiefpassfilter für Steuerungsanwendungen ungeeignet.

Abbildung 1- 2 : Sprungantwort der Filterprototypen (4. Ordnung)


Hochpassfilter

Frequenzgang

Der Frequenzgang von Hochpassfiltern ergibt sich aus der Spiegelung des Frequenzganges des entsprechenden Tiefpassfilters an der Linie der Grenzfrequenz.

Abbildung 1- 3 : Amplituden-Frequenzgang von Hochpassfiltern
(4. Ordnung)

Sprungantwort

Im Gegensatz zu Tiefpassfiltern schwingen die Filterausgangswerte der Sprungantwort bei Hochpassfiltern um den stationären Wert.

A b bildung 1- 4 : Sprungantwort von Hochpassfiltern (4. Ordnung)


Bandpassfilter

Frequenzgang

Abbildung 1- 5 : Amplituden-Frequenzgang von Bandpassfiltern
(4. Ordnung, Güte = 1)


Bandstopfilter

Frequenzgang

Die Bandbreite [image] im Sperrbereich des Bandstopfilters ist durch die Grenzfrequenzen [image] und [image] festgelegt. Sie sind definiert als die Frequenzen, bei der die Amplitude um 3dB (~0.707) abgefallen ist. Bei der Parametrierung des Bandstoppfilters kann die Bandbreite durch die Angabe des Gütefaktors P-AXIS-00080 (filter[i].guete) festgelegt werden. Der Gütefaktor ist das Verhältnis aus charakteristischer Filterfrequenz durch die Bandbreite [image] :

Bei größerer Güte wird daher der Frequenzbereich [image] kleiner. Zwischen der charakteristischen Frequenz des Bandstoppfilters und den Grenzfrequenzen [image] und [image] besteht folgender Zusammenhang (geometrisches Mittel):

Bei Bandstopfiltern hat der Filterprototyp P-AXIS-00153 nur einen geringen Einfluss auf das Filterverhalten.

Abbildung 1- 6 : Amplituden-Frequenzgang von Bandstopfiltern
(4. Ordnung, Güte = 1)

Abbildung 1-7: Amplitudengang von Bandstopfiltern in Abhängigkeit des vorgegebenen Gütefaktors P-AXIS-00080 (2. Ordnung, charakteristische Frequenz fg_f0 = 20 Hz)


Allpassfilter

Wird ein Allpassfilter parametriert, sollte der Bessel-Filterprototyp parametriert werden, da er eine konstante Gruppenlaufzeit für alle Frequenzen annähert.

Die Gruppenlaufzeit ist die Zeit, die eine Gruppe von cos-förmigen Schwingungen beim Durchgang durch ein Übertragungssystem benötigt.


PT1-Filter

Frequenzgang

Der PT1-Filter besitzt das Übertragungsverhalten eines Verzögerungsglieds erster Ordnung. Im Gegensatz zu den anderen Achsfiltern wird er über die Angabe einer Zeitkonstante (s. P-AXIS-00357) parametriert. Für diesen Filtertyp muss kein Filterprototyp angegeben werden.

Abbildung 1- 8 : Amplitudengang des PT1-Filters in Abhängigkeit der Filterzeitkonstanten P-AXIS-00357


PT2-Filter

Frequenzgang

Der PT2-Filter besitzt das Übertragungsverhalten eines Verzögerungsglieds zweiter Ordnung. Im Gegensatz zu den anderen Achsfiltern wird er über die Angabe einer Zeitkonstante (s. P-AXIS-00357) parametriert. Für diesen Filtertyp muss kein Filterprototyp angegeben werden.

Abbildung 1- 9 : Amplitudengang des PT2-Filters in Abhängigkeit der Filterzeitkonstanten P-AXIS-00357

Abbildung 1- 10 : Sprungantwort des PT2-Filters in Abhängigkeit der Filterzeitkonstanten P-AXIS-00357


HSC-Filter

Sprungantwort

Abbildung 1- 11 : Sprungantwort der verschiedenen HSC-Filter.

Einstellhilfe Konturabweichung

Die Konturabweichung bei Verwendung von HSC-Achsfiltern setzt sich aus drei Bestandteilen zusammen.

1. Zykluszeit

2. Filterordnung

3. Gefahrener Vorschub

Es gelten folgende einfache Zusammenhänge:

1. Doppelte Zykluszeit = doppelter Fehler

2. Doppelter Vorschub = doppelter Fehler

3. Doppelte Filterordnung = doppelter Fehler

Die folgende Grafik ist erstellt für Zykluszeit 1ms und F1000 Vorschub an einer 90 Frad Ecke, bei anderen Randdaten sind die Filterordnungen nach obigen Zusammenhängen umzurechnen.

Abbildung 1- 12 : Konturfehler pro Filterordnung an einer 90° Ecke für eine Eckgeschwindigkeit von 1000mm/s und eine Taktzeit von 1ms.


Anwendung

Signalglättung mit Tiefpassfiltern

Die Eigenschaft von Tiefpassfiltern, hohe Frequenzen zu dämpfen, wird zur Glättung von Signalverläufen genutzt. Das folgende Diagramm zeigt die Sprungantwort von Tiefpassfiltern unterschiedlicher Ordnung, aber derselben Grenzfrequenz von 1Hz.

Es zeigt sich, dass die maximale Steigung der Sprungantwort nahezu unabhängig von der Ordnung des Filters ist. Sie kann deshalb aus der Steigung zu Beginn der Sprungantwort eines Filters 1. Ordnung abgeschätzt werden, welche einfach zu berechnen ist.

Für einen Schritt ∆ x am Eingang eines Tiefpassfilters mit der Grenzfrequenz von fg erhalten wir die folgende Gleichung für die maximale Steigung des Ausgangssignals:

Diese Gleichung ist wichtig, da sie den Zusammenhang zwischen der Bandbreite des Signals und der maximalen Steigung des gefilterten Signals wiedergibt.

Abbildung 1- 13 : Sprungantwort von Tiefpassfiltern unterschiedlicher Ordnung


Parameter

Mehr:

button Übersicht

button Achsparameter


Übersicht

ID | Parameter | Beschreibung
P-AXIS-00319 | enable | Aktiviert Standardfilter
P-AXIS-00067 | fg_f0 | Charakteristische Frequenz eines Filters
P-AXIS-00080 | guete | Güte des Filters
P-AXIS-00140 | order | Ordnung des Filters
P-AXIS-00153 | prototype | Filtercharakteristik
P-AXIS-00164 | share_percent | Anteil des Signals, der durch den Filter geführt wird
P-AXIS-00204 | type | Art des Filters
P-AXIS-00357 | time_constant | Zeitkonstante des PT1- oder PT2-Filters

Parameter | Standardfilter | HSC-Filter
enable | X | - (**)
fg_f0 | X | X(***)
guete | X (*) | -
order | X | X
prototype | X | X
share_percent | X | -
type | X | X
time_constant | X (*) | -

(*) Abhängig von Filtertyp

(**) Aktivierung über NC-Befehl

(***) Nur bei HSC-Sinc und HSC-Gauss wirksam


Achsparameter

P-AXIS-00319 | Schalter Standardfilterfunktion
Parameter | filter[i].enable
Beschreibung | Parameter aktiviert Standardfilterfunktion des Achsfilters filter[i].
Datentyp | BOOLEAN
Datenbereich | 0 ≤ P-AXIS-00067 ≤ 1
Dimension | translatorisch: keine | rotatorisch: keine
Standardwert | 0
Anmerkungen | -

P-AXIS-00067 | Charakteristische Frequenz eines Filters
Parameter | filter[i].fg_f0
Beschreibung | Der Parameter definiert den Wert der charakteristischen Frequenz eines Filters. Die Interpretation der charakteristischen Frequenz ist dabei abhängig von der Art des Filters. Es handelt sich bei § Tiefpassfiltern um den Anfang des Frequenzsperrbereiches (idealer Filter). § Hochpassfiltern um den Anfang des Frequenzdurchlassbereichs (idealer Filter). § Bandpass- und Bandstopfiltern um die mittlere Frequenz.
Datentyp | REAL64
Datenbereich | 1 ≤ P-AXIS-00067 ≤ MAX(REAL64)
Dimension | translatorisch: Hz | rotatorisch: Hz
Standardwert | 30,0
Anmerkungen | -

P-AXIS-00080 | Güte des Filters
Parameter | filter[i].guete
Beschreibung | Güte des Filters. Dieser Parameter gilt nur für Bandpass- oder Bandstopfilter und ist der Kehrwert der Bandbreite.
Datentyp | REAL64
Datenbereich | 1 ≤ P-AXIS-00080 ≤ 10
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 1,0
Anmerkungen | -

P-AXIS-00140 | Ordnung des Filters
Parameter | filter[i].order
Beschreibung | Die Ordnung des Filters beschreibt sein Verhalten bezüglich des Abfalles des Frequenzganges. Es gilt: Frequenzabfall = - P-AXIS-00140 * 20 dB/Dekade
Datentyp | UNS32
Datenbereich | 0 ≤ P-AXIS-00140 ≤ 6 für Tiefpass-, Hochpass- und Allpassfilter 0 ≤ P-AXIS-00140 ≤ 3 für Bandpass- und Bandstopfilter, P-AXIS-00140 = 0 oder 1 für PT1-Filter, P-AXIS-00140 = 0 oder 2 für PT2-Filter, 0 ≤ P-AXIS-00080 ≤ 40 für HSC-Filter wobei fürP-AXIS-00140 = 0 der Filter abgeschaltet ist. Bei HSC-Filtern ist der Defaultwert 40, Aktivierung über NC-Programm.
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 0
Anmerkungen | -

P-AXIS-00153 | Filterprototyp
Parameter | filter[i].prototype
Beschreibung | 1 Filterprototyp Critical damping 2 Filterprototyp Butterworth 3 Filterprototyp Bessel 4 Filterprototyp Chebychev 5 Filterprototyp HSC
Datentyp | UNS32
Datenbereich | 1 ≤ P-AXIS-00153 ≤ 5
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 1
Anmerkungen | -

P-AXIS-00164 | Signalanteil, der durch den Filter geführt wird.
Parameter | filter[i].share_percent
Beschreibung | Signalanteil, der durch den Filter geführt wird.
Datentyp | REAL64
Datenbereich | 0 ≤ P-AXIS-00164 ≤ 100
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 100,0
Anmerkungen | -

P-AXIS-00204 | Art des Filters
Parameter | filter[i].type
Beschreibung | 1 Tiefpass 2 Hochpass 3 Bandpass 4 Bandstop 5 Allpass 6 PT1-Filter 7 HSC-Sinc 8 HSC-Mittelwert 9 HSC-Gauss 10 PT2-Filter
Datentyp | UNS32
Datenbereich | 1 ≤ P-AXIS-00204 ≤ 10
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 1
Anmerkungen | -

P-AXIS-00357 | Zeitkonstante des PT1- oder PT2-Filters
Parameter | filter[i].time_constant
Beschreibung | Der Parameter definiert die Zeitkonstante des PT1 oder PT2-Filters.
Datentyp | UNS32
Datenbereich | TAb ≤ P-AXIS- ≤ MAX(UNS32) (mit TAb ->NC-Zykluszeit)
Dimension | translatorisch: µs | rotatorisch: µs
Standardwert | 10000
Anmerkungen | -


Beispiele

Mehr:

button Wichtige Grenzwerte der Achse der Beispielanwendung

button Anwendungsbeispiel 1

button Anwendungsbeispiel 2

button Anwendungsbeispiel 3


Wichtige Grenzwerte der Achse der Beispielanwendung

Die nachfolgenden Diagramme wurden für eine Achse mit folgenden Grenzwerten für die Achsbewegung aufgezeichnet:

kenngr.swe_pos 9100000 [0,1 µm]

kenngr.swe_neg -1250000 [0,1 µm]

getriebe[0].lslope_profil.vb_stufe_1_2 2507942 [µm/s]

getriebe[0].lslope_profil.a_grenz_stufe_1 16720 [mm/s2]

getriebe[0].lslope_profil.a_grenz_stufe_2 16720 [mm/s2]

getriebe[0].lslope_profil.vb_grenz_stufe_1_2 2507942 [µm/s]

getriebe[0].dynamik.vb_max 2507942 [µm/s]

getriebe[0].dynamik.a_max 16720 [mm/s2]

Es handelte sich dabei um eine Achse mit einem simulierten Achsantrieb.


Anwendungsbeispiel 1

Ausgehend von den oben angegebenen Grenzwerten wurde für die erste Versuchsreihe eine Beschleunigung von 1,8 m/s2 gewählt, was ungefähr 10% der maximal möglichen Beschleunigung entspricht und als Geschwindigkeit 1200000 [µm/s] kommandiert, was 72 m/min entspricht und ca. 50% der maximal erlaubten Geschwindigkeit beträgt.

Mehr:

button Verwendung eines Tiefpassfilters

button Grenzfrequenz 10Hz


Verwendung eines Tiefpassfilters

Nachfolgend wird das Verhalten von Beschleunigungs-, Positions-, und Geschwindigkeits-Sollwerten unter Variierung der Ordnung des Filters dargestellt.

Mehr:

button Grenzfrequenz 3Hz

button Grenzfrequenz 5 Hz


TwinCAT CNC: Überblick

Grenzfrequenz 3Hz


TwinCAT CNC: Überblick

Grenzfrequenz 5 Hz


Grenzfrequenz 10Hz

TwinCAT CNC: Überblick

1Grenzfrequenz 10Hz1

Mehr:

button Grenzfrequenz 20 Hz


TwinCAT CNC: Überblick

Grenzfrequenz 20 Hz


Anwendungsbeispiel 2

Für dieses Anwendungsbeispiel wurden die kommandierten Werte für Geschwindigkeit und Beschleunigung nahe an den vorgegebenen Grenzwerten ausgewählt. Für die kommandierte Geschwindigkeit wurde 2,5.106 [µm/s] gewählt, für die kommandierte Beschleunigung 16m/s2.

Mehr:

button Verwendung eines Tiefpassfilters an den Grenzwerten

button Zeitdauer einer Bewegung, in Abhängigkeit von Grenzfrequenz und Beschleunigung


Verwendung eines Tiefpassfilters an den Grenzwerten

Nachfolgend wird das Verhalten von Beschleunigungs-, Positions-, und Geschwindigkeits-Sollwerten unter Variierung der Ordnung des Filters dargestellt.

Mehr:

button Grenzfrequenz 3 Hz

button Grenzfrequenz 5 Hz

button Grenzfrequenz 10 Hz

button Grenzfrequenz 30 Hz


TwinCAT CNC: Überblick

Grenzfrequenz 3 Hz


TwinCAT CNC: Überblick

Grenzfrequenz 10 Hz


TwinCAT CNC: Überblick

Grenzfrequenz 30 Hz


Zeitdauer einer Bewegung, in Abhängigkeit von Grenzfrequenz und Beschleunigung


Anwendungsbeispiel 3

Mehr:

button Verwendung eines Achsfilters zur Annäherung eines nichtlinearen Slope

button Hinweise zu Tracemöglichkeiten


Verwendung eines Achsfilters zur Annäherung eines nichtlinearen Slope

Mit folgender Faustregel ist es in der Regel möglich, eine merkliche Verbesserung der Achsbewegung bei gleich bleibender Dauer der Gesamtbewegung zu erreichen. Voraussetzung: die dynamischen Phasen der Bewegung sind nicht allzu klein gegenüber der Phase mit konstanter Geschwindigkeit.

Handlungsanweisung:

1. Fahre die Achse ohne Filter mit dem nichtlinearen Slope mit ca. der Hälfte der zur Verfügung stehenden Beschleunigung.

2. Parametriere danach einen Tiefpass Filter mit kritischer Dämpfung der Ordnung 6 und der charakteristischen Frequenz von 8Hz.

3. Beispiel:

filter[0].order 6 # max. Wert = 6

filter[0].prototype 1 # 1: krit.Dämpf.

filter[0].type 1 # 1: TP 2: HP 3: BP 4: BS 5:AP

filter[0].fg_f0 8 # charakteristische Frequenz

filter[0].guete 1

filter[0].share_percent 100

4. Parametriere das In-Positionsfenster so groß wie von der Anwendung her möglich, um nicht zu lange auf die In position Quittierung warten zu müssen.

getriebe[0].window 10000 # entspricht 1mm

5. Erstelle einen Trace und optimiere die Filterung weiter.


Hinweise zu Tracemöglichkeiten

Auf dem MC_ReadStatus eignen sich folgende Outputwerte zum Tracen: lr_act_pos, lr_act_rev, ipo_a_act. Sie stellen die aktuelle Soll- Position, -Geschwindigkeit und Beschleunigung in jedem Takt dar.

Beispiel aus Multiprog:

Trace einer ungefilterten Bewegung mit linearem Slope

Trace der gefilterten Bewegung mit doppelter Beschleunigung.

Überlagerung beider Traces (Anmerkung: die Beschleunigung ist hier aus technischen Gründen nicht masstäblich dargestellt!).